/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2006/12/06
 *
 */
package com.kickmogu.rhythm.addressbook;

import com.kickmogu.rhythm.core.*;

public class AddressBook {
	public final static String UNIQ_KEYNAME = "rhtym addressbook id";

    private int id;
    private int categoryId;
    private int registrant;
	private String firstName;
	private String lastName;
	private String firstSpell;
	private String lastSpell;
	private String displayName;
	private String email;
	private EmailAddress[] emails;
	private Telephone[] tels;
	private Address[] addresses;
	/**
	 * @return displayName を戻します。
	 */
	public String getDisplayName() {
		return displayName;
	}
	/**
	 * @param displayName displayName を設定。
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}
	/**
	 * @return emails を戻します。
	 */
	public EmailAddress[] getEmails() {
		return emails;
	}
	/**
	 * @param emails emails を設定。
	 */
	public void setEmails(EmailAddress[] emails) {
		this.emails = emails;
	}
	/**
	 * @return firstName を戻します。
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName firstName を設定。
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return firstSpell を戻します。
	 */
	public String getFirstSpell() {
		return firstSpell;
	}
	/**
	 * @param firstSpell firstSpell を設定。
	 */
	public void setFirstSpell(String firstSpell) {
		this.firstSpell = firstSpell;
	}
	/**
	 * @return lastName を戻します。
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName lastName を設定。
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @return lastSpell を戻します。
	 */
	public String getLastSpell() {
		return lastSpell;
	}
	/**
	 * @param lastSpell lastSpell を設定。
	 */
	public void setLastSpell(String lastSpell) {
		this.lastSpell = lastSpell;
	}
	/**
	 * @return tels を戻します。
	 */
	public Telephone[] getTels() {
		return tels;
	}
	/**
	 * @param tels tels を設定。
	 */
	public void setTels(Telephone[] tels) {
		this.tels = tels;
	}
	/**
	 * @return addresses を戻します。
	 */
	public Address[] getAddresses() {
		return addresses;
	}
	/**
	 * @param addresses addresses を設定。
	 */
	public void setAddresses(Address[] addresses) {
		this.addresses = addresses;
	}
	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return registrant を戻します。
	 */
	public int getRegistrant() {
		return registrant;
	}
	/**
	 * @param registrant registrant を設定。
	 */
	public void setRegistrant(int registrant) {
		this.registrant = registrant;
	}
	/**
	 * @return categoryId を戻します。
	 */
	public int getCategoryId() {
		return categoryId;
	}
	/**
	 * @param categoryId categoryId を設定。
	 */
	public void setCategoryId(int categoryId) {
		this.categoryId = categoryId;
	}
	/**
	 * @return email を戻します。
	 */
	public String getEmail() {
		return email;
	}
	/**
	 * @param email email を設定。
	 */
	public void setEmail(String email) {
		this.email = email;
	}
}
